<template>
  <el-dialog
    :visible.sync="show"
    :close-on-click-modal="false"
    title="自动更新中"
    :show-close="false"
    @update:visible="close"
  >
    <template>
      <div class="desc line-30 fs-16">{{res.desc}}</div>
    </template>
    <slot></slot>
  </el-dialog>
</template>
<script>
export default {
  name: 'FullDialog',
  components: {
  },
  props: {
    show: {
      type: Boolean,
      default: false
    },
    res:{
      type: Object,
      default:()=>{
        return {}
      }
    },
  },
  data() {
    return {
    }
  },
  computed: {
  },
  watch: {
  },
  destroyed() {
  },
  mounted() {
  },
  created() {

  },
  methods: {
    close() {
      this.$emit('onClose')
      this.$emit('update:show', false)
    },
  }
}
</script>

<style lang="scss" scoped>
</style>
